Bug 530987 - [abrt] crash detected in sos-1.8-16.fc12
[abrt] crash detected in sos-1.8-16.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Stokes
Fedora Extras Quality Assurance
abrt_hash:0a585590
:
Depends On: 523274
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 08:30 EDT by Adam Stokes
Modified: 2009-12-04 18:51 EST (History)
10 users (show)

See Also:
Fixed In Version: 1.8-18.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 523274
Environment:
Last Closed: 2009-12-04 18:51:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Check if "disable" option exists before try to load the options inside it (751 bytes, patch)
2009-11-19 12:34 EST, Carlos Maiolino
no flags Details | Diff

  None (edit)
Description Adam Stokes 2009-10-26 08:30:31 EDT
+++ This bug was initially created as a clone of Bug #523274 +++


abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
run sosreport as root

Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/bin/python /usr/sbin/sosreport 


component
-----
sos


executable
-----
/usr/sbin/sosreport


kernel
-----
2.6.31-2.fc12.x86_64


package
-----
sos-1.8-16.fc12


uuid
-----
0a585590

--- Additional comment from nicolas.mailhot@laposte.net on 2009-09-14 13:24:13 EDT ---

Created an attachment (id=360975)
File: backtrace

--- Additional comment from astokes@redhat.com on 2009-09-24 10:46:06 EDT ---

Whoops! Please edit /etc/sos.conf and uncomment disable under [plugins]. I'll fix this in next version.

Thanks

--- Additional comment from updates@fedoraproject.org on 2009-09-28 10:34:52 EDT ---

sos-1.8-17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sos-1.8-17.fc10

--- Additional comment from updates@fedoraproject.org on 2009-09-28 10:35:37 EDT ---

sos-1.8-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sos-1.8-17.fc11

--- Additional comment from updates@fedoraproject.org on 2009-09-29 10:35:52 EDT ---

sos-1.8-17.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sos'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10064

--- Additional comment from updates@fedoraproject.org on 2009-09-29 10:36:17 EDT ---

sos-1.8-17.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sos'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10068

--- Additional comment from updates@fedoraproject.org on 2009-10-06 05:58:21 EDT ---

sos-1.8-17.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from updates@fedoraproject.org on 2009-10-06 06:10:49 EDT ---

sos-1.8-17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from mvyynqbgerqungqbgpbz.yeuhc@spamgourmet.com on 2009-10-25 12:09:03 EDT ---

I downloaded fedora 12 beta from bittorrent just this week and still got this problem.  What was very cute was that the information about it turned up in some magic bug tool which didn't want to let me cut and paste and didn't let me save to file.  Only submit to bugzilla.  Of course, when I submitted to bugzilla it failed (see Bug #518390).
Comment 1 Adam Stokes 2009-10-26 08:31:58 EDT
Thanks I'll see what else could be wrong. I think I've already fixed it in a recent commit but more testing is needed on other changes not related to this bug.

-Adam
Comment 2 Bug Zapper 2009-11-16 09:21:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Carlos Maiolino 2009-11-19 12:34:55 EST
Created attachment 372288 [details]
Check if "disable" option exists before try to load the options inside it

I tested it building a new RPM version based on sos-1.8-16.fc12 rpm source file.
Comment 4 Adam Stokes 2009-11-19 13:41:23 EST
Hi Carlos,

I don't think my latest revision has been pushed to testing repo yet but I did have that exact patch in there already :)

Could you test the latest from testing repo?

https://koji.fedoraproject.org/koji/buildinfo?buildID=139888

I didn't build it for f12 yet as that was in the process of being released.

Thanks for the submission though! :)

Adam
Comment 5 Carlos Maiolino 2009-11-19 14:54:57 EST
Hi Adam,

I did the following tests and it worked fine to me:

- running sosreport with [plugins] section and 'disabled' option commented,
- running sosreport with [plugins] enabled and 'disabled' commented (here was the problem)
- running sosreport with [plugins] and 'disabled' enabled and removing some plugins from sosreport.

All of these tests worked fine. I guess these bugzilla can be closed.

If you need any help, call me.

Regards.
Comment 6 Michael Hagmann 2009-11-23 17:31:21 EST
Hi Adam

initial installation with F12 sosreport don't work:

[root@enif ~]# sosreport

sosreport (version 1.8)

Traceback (most recent call last):
  File "/usr/sbin/sosreport", line 916, in <module>
    sosreport()
  File "/usr/sbin/sosreport", line 473, in sosreport
    conf_disable_plugins = config.get("plugins", "disable").split(',')
  File "/usr/lib64/python2.6/ConfigParser.py", line 540, in get
    raise NoOptionError(option, section)
ConfigParser.NoOptionError: No option 'disable' in section: 'plugins'

change /etc/sos.conf and uncomment disable under [plugins]

now it works

[root@enif ~]# sosreport

sosreport (version 1.8)

This utility will collect some detailed  information about the
hardware and  setup of your Fedora system.
The information is collected and an archive is  packaged under
/tmp, which you can send to a support representative.
Fedora will use this information for diagnostic purposes ONLY
and it will be considered confidential information.

This process may take a while to complete.
No changes will be made to your system.

Press ENTER to continue, or CTRL-C to quit.

--> please release a updated Version, the sos package is very helpfull for testing.

thanks Mike
Comment 7 Adam Stokes 2009-11-24 10:00:51 EST
Oh my mistake I didn't realize that -16 was GA release in F12, I have -18 in F11/F10 I'll get an update filed today and hopefully get it into testing this week.

Thanks!
Adam
Comment 8 Fedora Update System 2009-11-24 10:10:54 EST
sos-1.8-18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sos-1.8-18.fc12
Comment 9 Fedora Update System 2009-11-25 10:18:07 EST
sos-1.8-18.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sos'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12130
Comment 10 Fedora Update System 2009-12-04 18:51:18 EST
sos-1.8-18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.